Subject: bug#23120: cp with --dereference (-L) and --link (-l) or --symbolic-link (-s)

From: Assaf Gordon <[email-masked]>
Date: Sat, 27 Oct 2018 16:08:49 -0600

unarchive 15173
merge 23120 15173
tags  23120 fixed
close  23120
stop

(triaging old bugs)

On 2016-03-26 11:26 a.m., Pádraig Brady wrote:
> 
> On 26/03/16 10:36, Petr Skočík wrote:
>>
>> I'm on a system with cp 8.21, and when I do `cp -Ll` or `cp -Ls` on a
>> symlink, it hardlinks (-Ll) or symlinks (-Ls) the symlink instead of the
>> target of the symlink.
>>
> 
> The -Ll hardlink case was fixed in 8.22 with a bit of
> an epic discussion in http://bugs.gnu.org/15173
> 
> The -Ls symlink case currently just symlinks the source symlink.

With no further comments in 2 years, I'm closing this bug.

-assaf